﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DisplayASimpleMap.aspx.cs"
    Inherits="CSSamples.Samples.DisplayASimpleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Display a Simple Map</title>

    <script type="text/javascript">
        var mousePositionControl = null;

        var OnMapCreating = function(map) {
            map.displayProjection = new OpenLayers.Projection("EPSG:4326");
        }

        var OnMapCreated = function(map) {
            var controls = map.getControlsByClass("OpenLayers.Control.MousePosition");
            if (controls.length != 0) {
                mousePositionControl = controls[0];
            }
        }

        function ChangeDisplayProjection() {
            if (mousePositionControl.displayProjection.projCode == "EPSG:4326") {
                mousePositionControl.displayProjection = new OpenLayers.Projection("EPSG:900913");
            }
            else {
                mousePositionControl.displayProjection = new OpenLayers.Projection("EPSG:4326");
            }
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="640px" Height="480px">
    </cc1:Map>
    <input type="button" value="ChangeDisplayProjection" onclick="ChangeDisplayProjection()" />
    <Description:DescriptionPanel ID="DescPanel" runat="server">
        This sample simply uses ThinkGeo default world map kit service overlay.
    </Description:DescriptionPanel>
    </form>
</body>
</html>
